Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Interface Rule

All Known Implementing Classes:
  FontFaceRule, MediaRule, StyleRule

public interface Rule

This interface represents a CSS rule.

Method Summary
`short` | `getType()` Returns a constant identifying the rule type.
`java.lang.String` | `toString(CSSEngine eng)` Returns a printable representation of this rule.

Method Detail

### getType

    public short getType()

  Returns a constant identifying the rule type.

### toString

    public java.lang.String toString(CSSEngine eng)

  Returns a printable representation of this rule.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.